Tag Archives: ruby

XML-Mapping gem has permission problem

You may have this error when require ‘xml/mapping’ in your ruby script: /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require’: no such file to load — xml/mapping (LoadError) Solution: go to the gem directory of XML-Mapping (mine is /usr/lib/ruby/gems/1.8/gems/xml-mapping-0.8.1/lib/) and chmod all files in this directory to 644. Who is to point finger at here ? Rubygem or XML-Mapping authors ?